# Uses of Class
org.jboss.logmanager.ExtLogRecord

Packages that use ExtLogRecord
Package
Description
org.jboss.logmanager
org.jboss.logmanager.formatters
org.jboss.logmanager.handlers

## Uses of ExtLogRecord in org.jboss.logmanager

Methods in org.jboss.logmanager that return ExtLogRecord
Modifier and Type
Method
Description
`static ExtLogRecord`
ExtLogRecord.`wrap(LogRecord rec)`
Wrap a JDK log record.
Methods in org.jboss.logmanager with parameters of type ExtLogRecord
Modifier and Type
Method
Description
`protected void`
ExtHandler.`doPublish(ExtLogRecord record)`
Do the actual work of publication; the record will have been filtered already.
`abstract String`
ExtFormatter.`format(ExtLogRecord extLogRecord)`
Format a message using an extended log record.
`void`
Logger.`logRaw(ExtLogRecord record)`
Do the logging with no level checks (they've already been done).
`void`
ExtHandler.`publish(ExtLogRecord record)`
Publish an `ExtLogRecord`.
Constructors in org.jboss.logmanager with parameters of type ExtLogRecord
Modifier
Constructor
Description
``
`ExtLogRecord(ExtLogRecord original)`
Make a copy of a log record.

## Uses of ExtLogRecord in org.jboss.logmanager.formatters

Methods in org.jboss.logmanager.formatters with parameters of type ExtLogRecord
Modifier and Type
Method
Description
`protected void`
StructuredFormatter.`after(StructuredFormatter.Generator generator, ExtLogRecord record)`
Invoked after the structured data has been added to the generator.
`protected void`
StructuredFormatter.`before(StructuredFormatter.Generator generator, ExtLogRecord record)`
Invoked before the structured data is added to the generator.
`String`
MultistepFormatter.`format(ExtLogRecord record)`
Format a message using an extended log record.
`final String`
StructuredFormatter.`format(ExtLogRecord record)`
`void`
FormatStep.`render(StringBuilder builder, ExtLogRecord record)`
Render a part of the log record.

## Uses of ExtLogRecord in org.jboss.logmanager.handlers

Methods in org.jboss.logmanager.handlers that return ExtLogRecord
Modifier and Type
Method
Description
`ExtLogRecord[]`
QueueHandler.`getQueue()`
Get a copy of the queue as it is at an exact moment in time.
Methods in org.jboss.logmanager.handlers with parameters of type ExtLogRecord
Modifier and Type
Method
Description
`protected byte[]`
SyslogHandler.`createRFC3164Header(ExtLogRecord record)`
`protected byte[]`
SyslogHandler.`createRFC5424Header(ExtLogRecord record)`
`protected void`
AsyncHandler.`doPublish(ExtLogRecord record)`
Do the actual work of publication; the record will have been filtered already.
`protected void`
DelayedHandler.`doPublish(ExtLogRecord record)`
`protected void`
QueueHandler.`doPublish(ExtLogRecord record)`
`protected void`
SocketHandler.`doPublish(ExtLogRecord record)`
`final void`
SyslogHandler.`doPublish(ExtLogRecord record)`
`protected void`
WriterHandler.`doPublish(ExtLogRecord record)`
Do the actual work of publication; the record will have been filtered already.
`protected void`
PeriodicRotatingFileHandler.`preWrite(ExtLogRecord record)`
Execute any pre-write policy, such as file rotation.
`protected void`
PeriodicSizeRotatingFileHandler.`preWrite(ExtLogRecord record)`
`protected void`
SizeRotatingFileHandler.`preWrite(ExtLogRecord record)`
Execute any pre-write policy, such as file rotation.
`protected void`
WriterHandler.`preWrite(ExtLogRecord record)`
Execute any pre-write policy, such as file rotation.
`void`
QueueHandler.`publish(ExtLogRecord record)`